import { ErrorHandler } from '@angular/core';
import { Feedback, FeedbackType } from 'nativescript-feedback';

export class MyErrorHandler implements ErrorHandler {
    handleError(error: any): void {
        // Regex for checking text '(Nemáte oprávnění )(any text)(áznamem ID=)(numbers)(anything withou number)(anything - the rest of error)
        const regex = RegExp('(Nemáte oprávnění ){1}[a-zA-Z _]+(áznamem ID=){1}[0-9]+[^0-9]*.*');
        if (regex.test(error.error)) {
            const feedback = new Feedback();
            feedback.show({
                title: 'ERROR',
                type: FeedbackType.Error,
                duration: 7000,
                message: `Nemáte oprávnění pro přístup do této sekce. Pravděpodobně nemáte správnou roli - Vedoucí/administrátor jednotky.`
            });
        }
    }
}
